Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hpsf.wellknown
Class PropertyIDMap

    java.lang.Object
      java.util.AbstractMap
          java.util.HashMap
              org.apache.poi.hpsf.wellknown.PropertyIDMap

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.util.Map

    public class PropertyIDMap

extends java.util.HashMap

This is a dictionary which maps property ID values to property ID strings.

The methods `getSummaryInformationProperties()` and `getDocumentSummaryInformationProperties()` return singleton `PropertyIDMap`s. An application that wants to extend these maps should treat them as unmodifiable, copy them and modifiy the copies.

Author:
  Rainer Klute <klute@rainer-klute.de>
See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class java.util.AbstractMap
`java.util.AbstractMap.SimpleEntry, java.util.AbstractMap.SimpleImmutableEntry`

Field Summary
`static int` | `PID_APPNAME` ID of the property that denotes the application that created the document
`static int` | `PID_AUTHOR` ID of the property that denotes the document's author
`static int` | `PID_BYTECOUNT` Number of bytes.
`static int` | `PID_CATEGORY` The entry is a string denoting the category the file belongs to, e.g.
`static int` | `PID_CHARCOUNT` ID of the property that denotes the number of characters in the document
`static int` | `PID_CODEPAGE` The entry denotes a code page.
`static int` | `PID_COMMENTS` ID of the property that denotes the document's comments
`static int` | `PID_COMPANY` This entry contains the company name.
`static int` | `PID_CREATE_DTM` ID of the property that denotes the date and time the document was created.
`static int` | `PID_DICTIONARY` The entry is a dictionary.
`static int` | `PID_DOCPARTS` This entry contains the names of document parts (word: names of the documents in the master document, excel: sheet names, power point: slide titles, binder: document names).
`static int` | `PID_EDITTIME` ID of the property that denotes the document's edit time
`static int` | `PID_HEADINGPAIR` This entry denotes an internally used property.
`static int` | `PID_HIDDENCOUNT` Number of hidden slides.
`static int` | `PID_KEYWORDS` ID of the property that denotes the document's keywords
`static int` | `PID_LASTAUTHOR` ID of the property that denotes the document's last author
`static int` | `PID_LASTPRINTED` ID of the property that denotes the date and time the document was last printed
`static int` | `PID_LASTSAVE_DTM` ID of the property that denotes the date and time the document was saved
`static int` | `PID_LINECOUNT` Number of lines.
`static int` | `PID_LINKSDIRTY` If this entry is -1 the links are dirty and should be re-evaluated.
`static int` | `PID_MANAGER` This entry contains the name of the project manager.
`static int` | `PID_MAX` The highest well-known property ID.
`static int` | `PID_MMCLIPCOUNT` Number of multimedia clips, e.g.
`static int` | `PID_NOTECOUNT` Number of slides with notes.
`static int` | `PID_PAGECOUNT` ID of the property that denotes the number of pages in the document
`static int` | `PID_PARCOUNT` Number of paragraphs.
`static int` | `PID_PRESFORMAT` Target format for power point presentation, e.g.
`static int` | `PID_REVNUMBER` ID of the property that denotes the document's revision number
`static int` | `PID_SCALE` This entry is set to -1 when scaling of the thumbnail is desired.
`static int` | `PID_SECURITY` ID of the property that denotes whether read/write access to the document is allowed or whether is should be opened as read-only.
`static int` | `PID_SLIDECOUNT` Number of slides in a power point presentation.
`static int` | `PID_SUBJECT` ID of the property that denotes the document's subject
`static int` | `PID_TEMPLATE` ID of the property that denotes the document's template
`static int` | `PID_THUMBNAIL` ID of the property that denotes the document's thumbnail
`static int` | `PID_TITLE` ID of the property that denotes the document's title
`static int` | `PID_WORDCOUNT` ID of the property that denotes the number of words in the document

Constructor Summary
`PropertyIDMap(int initialCapacity, float loadFactor)` Creates a `PropertyIDMap`.
`PropertyIDMap(java.util.Map map)` Creates a `PropertyIDMap` backed by another map.

Method Summary
`java.lang.Object` | `get(long id)` Gets the ID string for an ID from the `PropertyIDMap`.
`static PropertyIDMap` | `getDocumentSummaryInformationProperties()` Returns the Document Summary Information properties singleton.
`static PropertyIDMap` | `getSummaryInformationProperties()`
`static void` | `main(java.lang.String[] args)` For the most basic testing.
`java.lang.Object` | `put(long id, java.lang.String idString)` Puts a ID string for an ID into the `PropertyIDMap`.

Methods inherited from class java.util.HashMap
`clear, clone, containsKey, containsValue, entrySet, get, isEmpty, keySet, put, putAll, remove, size, values`

Methods inherited from class java.util.AbstractMap
`equals, hashCode, toString`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Map
`equals, hashCode`

Field Detail

### PID_TITLE

    public static final int PID_TITLE

  ID of the property that denotes the document's title

  See Also:
    Constant Field Values

### PID_SUBJECT

    public static final int PID_SUBJECT

  ID of the property that denotes the document's subject

  See Also:
    Constant Field Values

### PID_AUTHOR

    public static final int PID_AUTHOR

  ID of the property that denotes the document's author

  See Also:
    Constant Field Values

### PID_KEYWORDS

    public static final int PID_KEYWORDS

  ID of the property that denotes the document's keywords

  See Also:
    Constant Field Values

### PID_COMMENTS

    public static final int PID_COMMENTS

  ID of the property that denotes the document's comments

  See Also:
    Constant Field Values

### PID_TEMPLATE

    public static final int PID_TEMPLATE

  ID of the property that denotes the document's template

  See Also:
    Constant Field Values

### PID_LASTAUTHOR

    public static final int PID_LASTAUTHOR

  ID of the property that denotes the document's last author

  See Also:
    Constant Field Values

### PID_REVNUMBER

    public static final int PID_REVNUMBER

  ID of the property that denotes the document's revision number

  See Also:
    Constant Field Values

### PID_EDITTIME

    public static final int PID_EDITTIME

  ID of the property that denotes the document's edit time

  See Also:
    Constant Field Values

### PID_LASTPRINTED

    public static final int PID_LASTPRINTED

  ID of the property that denotes the date and time the document was last printed

  See Also:
    Constant Field Values

### PID_CREATE_DTM

    public static final int PID_CREATE_DTM

  ID of the property that denotes the date and time the document was created.

  See Also:
    Constant Field Values

### PID_LASTSAVE_DTM

    public static final int PID_LASTSAVE_DTM

  ID of the property that denotes the date and time the document was saved

  See Also:
    Constant Field Values

### PID_PAGECOUNT

    public static final int PID_PAGECOUNT

  ID of the property that denotes the number of pages in the document

  See Also:
    Constant Field Values

### PID_WORDCOUNT

    public static final int PID_WORDCOUNT

  ID of the property that denotes the number of words in the document

  See Also:
    Constant Field Values

### PID_CHARCOUNT

    public static final int PID_CHARCOUNT

  ID of the property that denotes the number of characters in the document

  See Also:
    Constant Field Values

### PID_THUMBNAIL

    public static final int PID_THUMBNAIL

  ID of the property that denotes the document's thumbnail

  See Also:
    Constant Field Values

### PID_APPNAME

    public static final int PID_APPNAME

  ID of the property that denotes the application that created the document

  See Also:
    Constant Field Values

### PID_SECURITY

    public static final int PID_SECURITY

  ID of the property that denotes whether read/write access to the document is allowed or whether is should be opened as read-only. It can have the following values:

  Value | Description
  --- | ---
  0 | No restriction
  2 | Read-only recommended
  4 | Read-only enforced

  See Also:
    Constant Field Values

### PID_DICTIONARY

    public static final int PID_DICTIONARY

  The entry is a dictionary.

  See Also:
    Constant Field Values

### PID_CODEPAGE

    public static final int PID_CODEPAGE

  The entry denotes a code page.

  See Also:
    Constant Field Values

### PID_CATEGORY

    public static final int PID_CATEGORY

  The entry is a string denoting the category the file belongs to, e.g. review, memo, etc. This is useful to find documents of same type.

  See Also:
    Constant Field Values

### PID_PRESFORMAT

    public static final int PID_PRESFORMAT

  Target format for power point presentation, e.g. 35mm, printer, video etc.

  See Also:
    Constant Field Values

### PID_BYTECOUNT

    public static final int PID_BYTECOUNT

  Number of bytes.

  See Also:
    Constant Field Values

### PID_LINECOUNT

    public static final int PID_LINECOUNT

  Number of lines.

  See Also:
    Constant Field Values

### PID_PARCOUNT

    public static final int PID_PARCOUNT

  Number of paragraphs.

  See Also:
    Constant Field Values

### PID_SLIDECOUNT

    public static final int PID_SLIDECOUNT

  Number of slides in a power point presentation.

  See Also:
    Constant Field Values

### PID_NOTECOUNT

    public static final int PID_NOTECOUNT

  Number of slides with notes.

  See Also:
    Constant Field Values

### PID_HIDDENCOUNT

    public static final int PID_HIDDENCOUNT

  Number of hidden slides.

  See Also:
    Constant Field Values

### PID_MMCLIPCOUNT

    public static final int PID_MMCLIPCOUNT

  Number of multimedia clips, e.g. sound or video.

  See Also:
    Constant Field Values

### PID_SCALE

    public static final int PID_SCALE

  This entry is set to -1 when scaling of the thumbnail is desired. Otherwise the thumbnail should be cropped.

  See Also:
    Constant Field Values

### PID_HEADINGPAIR

    public static final int PID_HEADINGPAIR

  This entry denotes an internally used property. It is a vector of variants consisting of pairs of a string (VT_LPSTR) and a number (VT_I4). The string is a heading name, and the number tells how many document parts are under that heading.

  See Also:
    Constant Field Values

### PID_DOCPARTS

    public static final int PID_DOCPARTS

  This entry contains the names of document parts (word: names of the documents in the master document, excel: sheet names, power point: slide titles, binder: document names).

  See Also:
    Constant Field Values

### PID_MANAGER

    public static final int PID_MANAGER

  This entry contains the name of the project manager.

  See Also:
    Constant Field Values

### PID_COMPANY

    public static final int PID_COMPANY

  This entry contains the company name.

  See Also:
    Constant Field Values

### PID_LINKSDIRTY

    public static final int PID_LINKSDIRTY

  If this entry is -1 the links are dirty and should be re-evaluated.

  See Also:
    Constant Field Values

### PID_MAX

    public static final int PID_MAX

  The highest well-known property ID. Applications are free to use higher values for custom purposes.

  See Also:
    Constant Field Values

Constructor Detail

### PropertyIDMap

    public PropertyIDMap(int initialCapacity,
                         float loadFactor)

  Creates a `PropertyIDMap`.

  Parameters:
    `initialCapacity` - The initial capacity as defined for `HashMap`
    `loadFactor` - The load factor as defined for `HashMap`

### PropertyIDMap

    public PropertyIDMap(java.util.Map map)

  Creates a `PropertyIDMap` backed by another map.

  Parameters:
    `map` - The instance to be created is backed by this map.

Method Detail

### put

    public java.lang.Object put(long id,
                                java.lang.String idString)

  Puts a ID string for an ID into the `PropertyIDMap`.

  Parameters:
    `id` - The ID.
    `idString` - The ID string.
  Returns:
    As specified by the `Map` interface, this method returns the previous value associated with the specified id, or `null` if there was no mapping for key.

### get

    public java.lang.Object get(long id)

  Gets the ID string for an ID from the `PropertyIDMap`.

  Parameters:
    `id` - The ID.
  Returns:
    The ID string associated with id.

### getSummaryInformationProperties

    public static PropertyIDMap getSummaryInformationProperties()

  Returns:
    the Summary Information properties singleton

### getDocumentSummaryInformationProperties

    public static PropertyIDMap getDocumentSummaryInformationProperties()

  Returns the Document Summary Information properties singleton.

  Returns:
    The Document Summary Information properties singleton.

### main

    public static void main(java.lang.String[] args)

  For the most basic testing.

  Parameters:
    `args` - The command-line arguments

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD